<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />
<title>
<?php
if (is_home()) {
echo bloginfo('name');
} elseif (is_404()) {
echo 'الصفحة المطلوبة غير موجودة';
} elseif (is_category()) {
echo 'التصنيف : '; wp_title('');
} elseif (is_search()) {
echo 'نتائج البحث';
} elseif ( is_day() || is_month() || is_year() ) {
echo 'الأرشيف : '; wp_title('');
} else {
echo wp_title('');
}
?>
</title>
<link rel="pingback" href="<?php bloginfo('pingback url'); ?>" />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/favicon.ico" />
<?php require SalahElimam_TM . '/js.php';?>
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>	
</head>
<body>
	<div id="container">
    	<div id="topNav">
        	<div id="navigation">
                <div id="mainMenu">
                 <?php if ( has_nav_menu( 'topnav' ) ) { ?>
				 <?php  wp_nav_menu ( array( 'menu_class' => 'top_nav','container'=> 'ul', 'theme_location' => 'topnav' )); ?>
                 <?php } else { ?>
                    <ul>
                       <li class="<?php if (is_home()) {echo "current_page_item";} ?>"><a href="<?php bloginfo('home') ?>"><?php _e('الرئيسية','Higgs'); ?></a></li>
                            <?php wp_list_pages(array(
                        'title_li' => false
                      )); ?>
                    </ul>

                 <?php } ?>
                </div><!--End Main Menu-->
                <?php require SalahElimam_TM . '/left.menu.php';?>
            </div><!--End Navigation-->
        </div><!--End TopNav-->
        <div id="header">
        	<div id="mainHeader">
            	<div id="logo">
                    <a href="<?php bloginfo('home') ?>" title="<?php bloginfo('name') ?>">
                    <img src="<?php global $Webcolors; ?><?php bloginfo('template_directory'); ?>/images/logos/<?php echo $Webcolors['logo']; ?>" alt="<?php bloginfo('name') ?>" /></a>
                </div><!--End Logo-->
                <?php require SalahElimam_TM . '/banner.php';?>
            </div><!--End Main Header-->
            <div id="mainNavigation">
            	<?php if ( has_nav_menu( 'mainnav' ) ) { ?>
			    <?php  wp_nav_menu ( array( 'menu_id' => 'dropmenu','container'=> 'ul', 'theme_location' => 'mainnav' )); ?>
                <?php } else { ?>
                  <ul id="dropmenu">
                     <li class="<?php if (is_home()) {echo "current_page_item";} ?>"><a href="<?php bloginfo('home') ?>"><?php _e('الرئيسية','Higgs'); ?></a></li>
                     <?php wp_list_categories('title_li=');?>
                  </ul>

                <?php } ?>
            </div><!--End MainNavigation-->
        </div><!--End Header-->